from rest_framework import serializers
from django.contrib.auth.models import User
from uhepp_vault.models import Plot, Collection
from django.urls import reverse

class PlotSerializer(serializers.HyperlinkedModelSerializer):
    owner = serializers.StringRelatedField(source='collection.user')
    uhepp = serializers.JSONField(source='data')
    ui_url = serializers.HyperlinkedIdentityField('uhepp_vault:plot-detail')
    url = serializers.HyperlinkedIdentityField('plot-detail')
    uuid = serializers.UUIDField(read_only=True)

    class Meta:
        model = Plot
        fields = ['collection', 'ui_url', 'uuid', 'url', 'owner', 'uhepp']

    def to_representation(self, instance):
        
        return super().to_representation(instance)

    def to_internal_value(self, data):
        
        return super().to_internal_value(data)

class CollectionSerializer(serializers.HyperlinkedModelSerializer):
    owner = serializers.StringRelatedField(source='user')
    ui_url = serializers.HyperlinkedIdentityField('uhepp_vault:collection-detail')
    class Meta:
        model = Collection
        fields = ['title', 'description', 'owner', 'ui_url', 'plots']

class CollectionListSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Collection
        fields = ['uuid', 'title', 'url']
