from django.urls import path, include
from django.contrib.auth import views as auth_views

from . import views

app_name = 'uhepp_vault'
urlpatterns = [
    path('', views.home, name='home'),
    path('p/', views.PlotIndex.as_view(), name='plot-index'),
    path('accounts/', views.account, name='account'),
    path('accounts/login/', auth_views.LoginView.as_view()),
    path('accounts/tokens/', views.token_index, name='token-index'),
    path('p/<str:pk>/', views.PlotDetail.as_view(), name='plot-detail'),
    path('p/<str:uuid>/json', views.plot_detail_json, name='plot-detail-json'),
    path('u/<str:username>/', views.user_detail, name='user-detail'),
    path('u/<str:username>/-/create-collection/', views.collection_create, name='collection-create'),
    path('u/<str:username>/<str:slug>/', views.user_collection_detail, name='user-collection-detail'),
    path('c/<str:pk>/', views.collection_detail, name='collection-detail'),
]
